[feedback] Add script to copy forget-feedback to new repo
Lauren Tan committed
Oct 31, 2023 at 17:14 UTC
8860faa65ce7a459851c9ee89acf027f5e5b6067
2 files changed
+15
compiler/package.json
+1
@@ -11,6 +11,7 @@
11
"scripts": {
12
"bundle:meta": "scripts/bundle-meta.sh",
13
"bundle:oss": "scripts/bundle-oss.sh",
14
+ "copy-to-forget-feedback": "scripts/copy-to-forget-feedback.sh",
15
"hash": "scripts/hash.sh",
16
"start": "yarn workspace playground run start",
17
"next": "yarn workspace playground run dev",
compiler/scripts/copy-to-forget-feedback.sh
new
+14
@@ -0,0 +1,14 @@
1
+#!/bin/sh
2
+# Copyright (c) Facebook, Inc. and its affiliates.
3
+#
4
+# This source code is licensed under the MIT license found in the
5
+# LICENSE file in the root directory of this source tree.
6
+
7
+set -eo pipefail
8
+
9
+if [ ! -d "../forget-feedback" ]; then
10
+ echo "Error: forget-feedback repo not found, clone it from: https://github.com/facebookexternal/forget-feedback"
11
+ exit 1
12
+fi
13
+
14
+cp -R ./forget-feedback/. ../forget-feedback
\ No newline at end of file